
From: "Randy.Dunlap" <rddunlap@osdl.org>,
      Domen Puncer <domen@coderock.org>




---

 drivers/char/dz.c |   10 +---------
 1 files changed, 1 insertion(+), 9 deletions(-)

diff -puN drivers/char/dz.c~dz-verify_area-removal drivers/char/dz.c
--- 25/drivers/char/dz.c~dz-verify_area-removal	2004-01-24 23:14:54.000000000 -0800
+++ 25-akpm/drivers/char/dz.c	2004-01-24 23:14:54.000000000 -0800
@@ -986,11 +986,7 @@ static int dz_ioctl(struct tty_struct *t
 		return 0;
 
 	case TIOCGSOFTCAR:
-		error = verify_area (VERIFY_WRITE, (void *)arg, sizeof(long));
-		if (error)
-			return error;
-		put_user(C_CLOCAL(tty) ? 1 : 0, (unsigned long *)arg);
-		return 0;
+		return put_user(C_CLOCAL(tty) ? 1 : 0, (unsigned long *)arg);
 
 	case TIOCSSOFTCAR:
 		if (get_user (arg, (unsigned long *)arg))
@@ -1001,10 +997,6 @@ static int dz_ioctl(struct tty_struct *t
 		return 0;
 
 	case TIOCGSERIAL:
-		error = verify_area(VERIFY_WRITE, (void *)arg,
-		                    sizeof(struct serial_struct));
-		if (error)
-			return error;
 		return get_serial_info(info, (struct serial_struct *)arg);
 
 	case TIOCSSERIAL:

_
